Package Details: solarus-git 1.5.0.r81.gd0601b4-1

Git Clone URL: https://aur.archlinux.org/solarus-git.git (read-only)
Package Base: solarus-git
Description: An open-source Zelda-like 2D game engine used by the games zsxd and zsdx (development version)
Upstream URL: http://www.solarus-engine.org/
Licenses: GPL3
Conflicts: solarus
Provides: solarus, solarus-engine
Submitter: Ferk
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 6
Popularity: 0.000000
First Submitted: 2011-08-01 13:40
Last Updated: 2016-10-29 13:33

Dependencies (11)

Required by (7)

Sources (1)

Latest Comments

carstene1ns commented on 2013-10-26 12:24

solarus has moved to sdl2 now.

Ferk commented on 2013-09-29 10:32

Applied

BenObiWan commented on 2013-09-26 05:04

The PKGBUILD no longer works because it requires lua5.1 and to specify LUA_INCLUDE_DIR for cmake.
Also the quest (zsdx and zsxd) are now in separate git repositories.
Here is the upstream issue about lua: https://github.com/christopho/solarus/issues/304

Here is an updated pkgbuild including the lua version change: http://pastebin.com/DNcaGKe3

I've created packages for the quests: zsxd-git and zsdx-git, and uploaded them to AUR.

BenObiWan commented on 2013-09-25 22:31

No longer work because it requires lua5.1 and to specify LUA_INCLUDE_DIR for cmake.
Also the quest (zsdx and zsxd) are now in separate repositories.

Here is an updated pkgbuild including the lua version change: http://pastebin.com/DNcaGKe3

I've created packages for the quests zsxd-git and zsdx-git.

Ferk commented on 2011-12-30 18:36

Thanks again! updated

BenObiWan commented on 2011-12-30 14:55

Quests now have a separated cmakefile.
Here is an updated pkgbuild : http://pastebin.com/pHdSNaiD

Ferk commented on 2011-09-12 16:40

Thank you, BenObiWan. Fixed. It was also missing 'zip' as a build dependency.

BenObiWan commented on 2011-09-10 08:56

Dependencies are wrong : add libmodplug, and libsndfile as been replaced by libvorbis since April 2011.

BenObiWan commented on 2011-09-10 08:47

solarus is the binary of the game engine. You have to use the bash scripts zsxd or zsdx to use one of the two quests.

ChemBro commented on 2011-08-13 11:06

I can't start it, it gives me a:

$ solarus
terminate called after throwing an instance of 'std::logic_error'
what(): Data file quest.dat does not exist

I don't know, what that means. Do I need to download something additionally?